/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.varia.deployment.convertor;

/**
 * MBean interface.
 */
public interface WebLogicConvertorMBean extends org.jboss.system.ServiceMBean
{

   //default object name
   public static final javax.management.ObjectName OBJECT_NAME = org.jboss.mx.util.ObjectNameFactory
         .create("jboss.system:service=Convertor,type=WebLogic");

   java.lang.String getDeployer();

   void setDeployer(java.lang.String name);

   java.lang.String getWlVersion();

   void setWlVersion(java.lang.String wlVersion);

   java.lang.String getRemoveTable();

   void setRemoveTable(java.lang.String removeTable);

   java.lang.String getDatasource();

   void setDatasource(java.lang.String datasource);

   java.lang.String getDatasourceMapping();

   void setDatasourceMapping(java.lang.String datasourceMapping);

}
